#!/usr/bin/python
#
#    Copyright (C) 2009 Lope A. Florez
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""
settingsTest.py

A set of tests for the settings.py module. It tests whether the variables
that are needed for the different parts of CellPublisher are actually present
in the file.

"""

__author__ = 'lflorez@gwdg.de'

import unittest

import settings

class TestVariablesExist(unittest.TestCase):

    def testPathVariables(self):
        self.assert_(settings.PATH_TO_TARGET_FOLDER)
        self.assert_(settings.PATH_TO_IMAGE)
        self.assert_(settings.PATH_TO_SBML_FILE)
        self.assert_(settings.TITLE_OF_HTML)

def suite():

    tests = [
        TestVariablesExist,
        ]

    testList = list()
    for test in tests:
        sub_suite = unittest.TestLoader().loadTestsFromTestCase(test)
        testList.append(sub_suite)
     
    suite = unittest.TestSuite(testList)
    return suite

if __name__ == "__main__":
    unittest.TextTestRunner().run(suite())


