from django.conf import settings
from django.conf.urls.defaults import *
from django.views.generic.list_detail import object_list
from create_diagram.models import FinishedJob
import create_diagram.views

from django.contrib import admin

admin.autodiscover()

urlpatterns = patterns('',
    (r'^$', create_diagram.views.hello),
    (r'^delete/([A-Za-z]+)/$', create_diagram.views.delete),
    (r'^submit/$', create_diagram.views.submit),
    (r'^status/([A-Za-z]+)/$', create_diagram.views.status),
    (r'^list/page(?P<page>[0-9]+)/$', object_list,
             {'paginate_by': 15,
              'queryset':
        FinishedJob.objects.filter(ok=True).filter(deleted=False).filter(submission__ok_upload=True).order_by('-timestamp'),
              'template_name': 'list.html'}),
    # Example:
    # (r'^web_interface/', include('web_interface.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^preview/(?P<path>.*)$',
         'django.views.static.serve',
         {'document_root': settings.PREVIEW_ROOT,
          'show_indexes': True}
         ),
        (r'^downloads/(?P<path>.*)$',
         'django.views.static.serve',
         {'document_root': settings.ZIP_DOWNLOAD_ROOT,
          'show_indexes': True}
         ),          
    )
